Index: palm/trunk/SCRIPTS/.palm.config.crayh
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.crayh	(revision 3235)
+++ palm/trunk/SCRIPTS/.palm.config.crayh	(revision 3236)
@@ -6,5 +6,5 @@
 %base_directory      $HOME/palm/current_version
 %source_path         $HOME/palm/current_version/trunk/SOURCE
-%user_source_path    $base_directory/JOBS/$jobname/USER_CODE
+%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
 %fast_io_catalog     /gfs2/work/niksiraa
 %local_jobcatalog    /home/raasch/job_queue
Index: palm/trunk/SCRIPTS/.palm.config.default
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.default	(revision 3235)
+++ palm/trunk/SCRIPTS/.palm.config.default	(revision 3236)
@@ -13,5 +13,5 @@
 
 # path to user interface routines
-%user_source_path  $base_directory/JOBS/$jobname/USER_CODE
+%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
 
 # path to file system with fast discs (if available). This folder
Index: palm/trunk/SCRIPTS/.palm.config.default.in
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.default.in	(revision 3235)
+++ palm/trunk/SCRIPTS/.palm.config.default.in	(revision 3236)
@@ -13,5 +13,5 @@
 %base_data           @CMAKE_INSTALL_PREFIX@/JOBS
 %source_path         @CMAKE_INSTALL_PREFIX@/trunk/SOURCE
-%user_source_path    @CMAKE_INSTALL_PREFIX@/JOBS/$jobname/USER_CODE
+%user_source_path    @CMAKE_INSTALL_PREFIX@/JOBS/$run_identifier/USER_CODE
 %fast_io_catalog     @CMAKE_INSTALL_PREFIX@/tmp
 %local_jobcatalog    @CMAKE_INSTALL_PREFIX@/job_queue
Index: palm/trunk/SCRIPTS/.palm.config.default_trace
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.default_trace	(revision 3235)
+++ palm/trunk/SCRIPTS/.palm.config.default_trace	(revision 3236)
@@ -13,5 +13,5 @@
 
 # path to user interface routines
-%user_source_path  $base_directory/JOBS/$jobname/USER_CODE
+%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
 
 # path to file system with fast discs (if available). This folder
Index: palm/trunk/SCRIPTS/.palm.config.eddy_gfort
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.eddy_gfort	(revision 3235)
+++ palm/trunk/SCRIPTS/.palm.config.eddy_gfort	(revision 3236)
@@ -7,5 +7,5 @@
 %base_directory      $HOME/palm/current_version
 %source_path         $HOME/palm/current_version/trunk/SOURCE
-%user_source_path    $base_directory/JOBS/$jobname/USER_CODE
+%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
 %fast_io_catalog     $WORK/palm_restart_tmp
 %local_jobcatalog    $HOME/job_queue
Index: palm/trunk/SCRIPTS/.palm.config.eddy_ifort
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.eddy_ifort	(revision 3235)
+++ palm/trunk/SCRIPTS/.palm.config.eddy_ifort	(revision 3236)
@@ -7,5 +7,5 @@
 %base_directory      $HOME/palm/current_version
 %source_path         $HOME/palm/current_version/trunk/SOURCE
-%user_source_path    $base_directory/JOBS/$jobname/USER_CODE
+%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
 %fast_io_catalog     $WORK/palm_restart_tmp
 %local_jobcatalog    $HOME/job_queue
Index: palm/trunk/SCRIPTS/.palm.config.idefix
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.idefix	(revision 3235)
+++ palm/trunk/SCRIPTS/.palm.config.idefix	(revision 3236)
@@ -10,8 +10,8 @@
 %fast_io_catalog    /work/<replace_by_your_IDEFIX_username>
 %local_jobcatalog   $HOME/job_queue
-%output_path        /work/<replace_by_your_IDEFIX_username>/JOBS/$jobname
+%output_path        /work/<replace_by_your_IDEFIX_username>/JOBS/$run_identifier
 %remote_jobcatalog  $HOME/job_queue
 %source_path        $HOME/palm/current_version/trunk/SOURCE
-%user_source_path   $base_directory/JOBS/$jobname/USER_CODE
+%user_source_path   $base_directory/JOBS/$run_identifier/USER_CODE
 #
 %local_ip            130.75.105.239
Index: palm/trunk/SCRIPTS/.palm.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.imuk	(revision 3235)
+++ palm/trunk/SCRIPTS/.palm.config.imuk	(revision 3236)
@@ -7,5 +7,5 @@
 %fast_io_catalog   /localdata/raasch
 %source_path       $HOME/palm/current_version/trunk/SOURCE
-%user_source_path  $base_directory/JOBS/$jobname/USER_CODE
+%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
 #
 %local_ip            130.75.105.103
@@ -15,6 +15,6 @@
 %cpp_options         -cpp -D__parallel -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__fftw -D__netcdf
 %make_options        -j 4
-%compiler_options    -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
-%linker_options      -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%compiler_options    -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%linker_options      -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
 %hostfile            auto
 %execute_command     mpiexec  -machinefile hostfile  -n {{mpi_tasks}}  palm
Index: palm/trunk/SCRIPTS/.palm.iofiles
===================================================================
--- palm/trunk/SCRIPTS/.palm.iofiles	(revision 3235)
+++ palm/trunk/SCRIPTS/.palm.iofiles	(revision 3236)
@@ -1,71 +1,72 @@
+#$Id$
 #
 #---------------------------------------------------------------------------------------------
 # List of input-files
 #---------------------------------------------------------------------------------------------
-PARIN                    in:tr      d3#      $base_data/$jobname/INPUT          _p3d*
-PARIN                    in:tr      d3r      $base_data/$jobname/INPUT          _p3dr*
-PARIN                    in:tr      pcr      $base_data/$jobname/INPUT          _pcr*
-NAVIGATION_DATA          inopt:tr   d3#:d3r  $base_data/$jobname/INPUT          _nav*
-TOPOGRAPHY_DATA          inopt:tr   d3#:d3r  $base_data/$jobname/INPUT          _topo*
-PIDS_STATIC              inopt:tr   d3#:d3r  $base_data/$jobname/INPUT          _static*
-PIDS_DYNAMIC             inopt:tr   d3#:d3r  $base_data/$jobname/INPUT          _dynamic*
-rrtmg_lw.nc              inopt:tr   d3#:d3r  $base_data/$jobname/INPUT          _rlw
-rrtmg_sw.nc              inopt:tr   d3#:d3r  $base_data/$jobname/INPUT          _rsw
-WTM_DATA                 inopt:tr   d3#:d3r  $base_data/$jobname/INPUT          _wtm
-BININ                    in:lnpe    d3r:rec  $fast_io_catalog/$jobname/RESTART  _d3d*
-PARTICLE_RESTART_DATA_IN in:lnpe    prtr     $fast_io_catalog/$jobname/RESTART  _rprt
-SVFIN                    in:lnpe    svfin    $fast_io_catalog/$jobname/SVF      _svf*
-DATA_1D_PR_NETCDF        inopt      prr      $base_data/$jobname/OUTPUT         _pr*       nc
-DATA_1D_SP_NETCDF        inopt      spr      $base_data/$jobname/OUTPUT         _sp*       nc
-DATA_1D_TS_NETCDF        inopt      tsr      $base_data/$jobname/OUTPUT         _ts*       nc
-DATA_1D_PTS_NETCDF       inopt      ptsr     $base_data/$jobname/OUTPUT         _pts*      nc
-DATA_2D_XY_NETCDF        inopt      xyr      $base_data/$jobname/OUTPUT         _xy*       nc
-DATA_2D_XY_AV_NETCDF     inopt      xyr      $base_data/$jobname/OUTPUT         _av_xy*    nc
-DATA_2D_XZ_NETCDF        inopt      xzr      $base_data/$jobname/OUTPUT         _xz*       nc
-DATA_2D_XZ_AV_NETCDF     inopt      xzr      $base_data/$jobname/OUTPUT         _av_xz*    nc
-DATA_2D_YZ_NETCDF        inopt      yzr      $base_data/$jobname/OUTPUT         _yz*       nc
-DATA_2D_YZ_AV_NETCDF     inopt      yzr      $base_data/$jobname/OUTPUT         _av_yz*    nc
-DATA_3D_NETCDF           inopt      3dr      $base_data/$jobname/OUTPUT         _3d*       nc
-DATA_3D_AV_NETCDF        inopt      3dr      $base_data/$jobname/OUTPUT         _av_3d*    nc
-DATA_MASK_NETCDF         inopt      mar      $base_data/$jobname/OUTPUT         _masked    nc
-DATA_MASK_AV_NETCDF      inopt      mar      $base_data/$jobname/OUTPUT         _av_masked nc
-DATA_PRT_NETCDF          inopt:pe   prtr     $base_data/$jobname/OUTPUT         _prt*
+PARIN                    in:tr      d3#      $base_data/$run_identifier/INPUT          _p3d*
+PARIN                    in:tr      d3r      $base_data/$run_identifier/INPUT          _p3dr*
+PARIN                    in:tr      pcr      $base_data/$run_identifier/INPUT          _pcr*
+NAVIGATION_DATA          inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _nav*
+TOPOGRAPHY_DATA          inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _topo*
+PIDS_STATIC              inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _static*
+PIDS_DYNAMIC             inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _dynamic*
+rrtmg_lw.nc              inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _rlw
+rrtmg_sw.nc              inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _rsw
+WTM_DATA                 inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _wtm
+BININ                    in:lnpe    d3r:rec  $fast_io_catalog/$run_identifier/RESTART  _d3d*
+PARTICLE_RESTART_DATA_IN in:lnpe    prtr     $fast_io_catalog/$run_identifier/RESTART  _rprt
+SVFIN                    in:lnpe    svfin    $fast_io_catalog/$run_identifier/SVF      _svf*
+DATA_1D_PR_NETCDF        inopt      prr      $base_data/$run_identifier/OUTPUT         _pr*       nc
+DATA_1D_SP_NETCDF        inopt      spr      $base_data/$run_identifier/OUTPUT         _sp*       nc
+DATA_1D_TS_NETCDF        inopt      tsr      $base_data/$run_identifier/OUTPUT         _ts*       nc
+DATA_1D_PTS_NETCDF       inopt      ptsr     $base_data/$run_identifier/OUTPUT         _pts*      nc
+DATA_2D_XY_NETCDF        inopt      xyr      $base_data/$run_identifier/OUTPUT         _xy*       nc
+DATA_2D_XY_AV_NETCDF     inopt      xyr      $base_data/$run_identifier/OUTPUT         _av_xy*    nc
+DATA_2D_XZ_NETCDF        inopt      xzr      $base_data/$run_identifier/OUTPUT         _xz*       nc
+DATA_2D_XZ_AV_NETCDF     inopt      xzr      $base_data/$run_identifier/OUTPUT         _av_xz*    nc
+DATA_2D_YZ_NETCDF        inopt      yzr      $base_data/$run_identifier/OUTPUT         _yz*       nc
+DATA_2D_YZ_AV_NETCDF     inopt      yzr      $base_data/$run_identifier/OUTPUT         _av_yz*    nc
+DATA_3D_NETCDF           inopt      3dr      $base_data/$run_identifier/OUTPUT         _3d*       nc
+DATA_3D_AV_NETCDF        inopt      3dr      $base_data/$run_identifier/OUTPUT         _av_3d*    nc
+DATA_MASK_NETCDF         inopt      mar      $base_data/$run_identifier/OUTPUT         _masked    nc
+DATA_MASK_AV_NETCDF      inopt      mar      $base_data/$run_identifier/OUTPUT         _av_masked nc
+DATA_PRT_NETCDF          inopt:pe   prtr     $base_data/$run_identifier/OUTPUT         _prt*
 #
 #---------------------------------------------------------------------------------------------
 # List of output-files
 #---------------------------------------------------------------------------------------------
-BINOUT*                    out:lnpe restart   $fast_io_catalog/$jobname/RESTART  _d3d
-PARTICLE_RESTART_DATA_OUT* out:lnpe prt#:prtr $fast_io_catalog/$jobname/RESTART  _rprt
-SVFOUT*                    out:lnpe svfout    $fast_io_catalog/$jobname/SVF      _svf
+BINOUT*                    out:lnpe restart   $fast_io_catalog/$run_identifier/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT* out:lnpe prt#:prtr $fast_io_catalog/$run_identifier/RESTART  _rprt
+SVFOUT*                    out:lnpe svfout    $fast_io_catalog/$run_identifier/SVF      _svf
 #
-RUN_CONTROL*               out:tr   d3#:pcr   $base_data/$jobname/MONITORING     _rc
-RUN_CONTROL*               out:tra  d3r       $base_data/$jobname/MONITORING     _rc
-HEADER*                    out:tr   d3#:pcr   $base_data/$jobname/MONITORING     _header
-HEADER*                    out:tra  d3r       $base_data/$jobname/MONITORING     _header
-CPU_MEASURES*              out:tr   d3#:pcr   $base_data/$jobname/MONITORING     _cpu
-CPU_MEASURES*              out:tra  d3r       $base_data/$jobname/MONITORING     _cpu
-PARTICLE_INFO*             out:tr   pt#       $base_data/$jobname/MONITORING     _prt_info
-PARTICLE_INFO*             out:tra  ptr       $base_data/$jobname/MONITORING     _prt_info
-LIST_PROFIL*               out:tr   *         $base_data/$jobname/MONITORING     _list_pr
+RUN_CONTROL*               out:tr   d3#:pcr   $base_data/$run_identifier/MONITORING     _rc
+RUN_CONTROL*               out:tra  d3r       $base_data/$run_identifier/MONITORING     _rc
+HEADER*                    out:tr   d3#:pcr   $base_data/$run_identifier/MONITORING     _header
+HEADER*                    out:tra  d3r       $base_data/$run_identifier/MONITORING     _header
+CPU_MEASURES*              out:tr   d3#:pcr   $base_data/$run_identifier/MONITORING     _cpu
+CPU_MEASURES*              out:tra  d3r       $base_data/$run_identifier/MONITORING     _cpu
+PARTICLE_INFO*             out:tr   pt#       $base_data/$run_identifier/MONITORING     _prt_info
+PARTICLE_INFO*             out:tra  ptr       $base_data/$run_identifier/MONITORING     _prt_info
+LIST_PROFIL*               out:tr   *         $base_data/$run_identifier/MONITORING     _list_pr
 #
-DATA_1D_PR_NETCDF*         out:tr   *         $base_data/$jobname/OUTPUT         _pr        nc
-DATA_1D_SP_NETCDF*         out:tr   *         $base_data/$jobname/OUTPUT         _sp        nc
-DATA_1D_TS_NETCDF*         out:tr   *         $base_data/$jobname/OUTPUT         _ts        nc
-DATA_1D_PTS_NETCDF         out:tr   *         $base_data/$jobname/OUTPUT         _pts       nc
-DATA_2D_XY_NETCDF*         out:tr   *         $base_data/$jobname/OUTPUT         _xy        nc
-DATA_2D_XY_AV_NETCDF*      out:tr   *         $base_data/$jobname/OUTPUT         _av_xy     nc
-DATA_2D_XZ_NETCDF*         out:tr   *         $base_data/$jobname/OUTPUT         _xz        nc
-DATA_2D_XZ_AV_NETCDF*      out:tr   *         $base_data/$jobname/OUTPUT         _av_xz     nc
-DATA_2D_YZ_NETCDF*         out:tr   *         $base_data/$jobname/OUTPUT         _yz        nc
-DATA_2D_YZ_AV_NETCDF*      out:tr   *         $base_data/$jobname/OUTPUT         _av_yz     nc
-DATA_3D_NETCDF*            out:tr   *         $base_data/$jobname/OUTPUT         _3d        nc
-DATA_3D_AV_NETCDF*         out:tr   *         $base_data/$jobname/OUTPUT         _av_3d     nc
-DATA_MASK_NETCDF*          out:tr   *         $base_data/$jobname/OUTPUT         _masked    nc
-DATA_MASK_AV_NETCDF*       out:tr   *         $base_data/$jobname/OUTPUT         _av_masked nc
-DATA_AGT_NETCDF            out:tr   *         $base_data/$jobname/OUTPUT         _agt       nc
+DATA_1D_PR_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _pr        nc
+DATA_1D_SP_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _sp        nc
+DATA_1D_TS_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _ts        nc
+DATA_1D_PTS_NETCDF         out:tr   *         $base_data/$run_identifier/OUTPUT         _pts       nc
+DATA_2D_XY_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _xy        nc
+DATA_2D_XY_AV_NETCDF*      out:tr   *         $base_data/$run_identifier/OUTPUT         _av_xy     nc
+DATA_2D_XZ_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _xz        nc
+DATA_2D_XZ_AV_NETCDF*      out:tr   *         $base_data/$run_identifier/OUTPUT         _av_xz     nc
+DATA_2D_YZ_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _yz        nc
+DATA_2D_YZ_AV_NETCDF*      out:tr   *         $base_data/$run_identifier/OUTPUT         _av_yz     nc
+DATA_3D_NETCDF*            out:tr   *         $base_data/$run_identifier/OUTPUT         _3d        nc
+DATA_3D_AV_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _av_3d     nc
+DATA_MASK_NETCDF*          out:tr   *         $base_data/$run_identifier/OUTPUT         _masked    nc
+DATA_MASK_AV_NETCDF*       out:tr   *         $base_data/$run_identifier/OUTPUT         _av_masked nc
+DATA_AGT_NETCDF            out:tr   *         $base_data/$run_identifier/OUTPUT         _agt       nc
 #
-DATA_PRT_NETCDF*           out:pe   *         $base_data/$jobname/OUTPUT         _prt
-DATA_PRT_NETCDF*           out:trpe *         $base_data/$jobname/OUTPUT         _prt
-PARTICLE_DATA*             out:lnpe *         $base_data/$jobname/OUTPUT         _prt_dat
+DATA_PRT_NETCDF*           out:pe   *         $base_data/$run_identifier/OUTPUT         _prt
+DATA_PRT_NETCDF*           out:trpe *         $base_data/$run_identifier/OUTPUT         _prt
+PARTICLE_DATA*             out:lnpe *         $base_data/$run_identifier/OUTPUT         _prt_dat
 #
-WTM_OUTPUT_DATA*           out:tr   *         $base_data/$jobname/MONITORING     _wtm
+WTM_OUTPUT_DATA*           out:tr   *         $base_data/$run_identifier/MONITORING     _wtm
Index: palm/trunk/SCRIPTS/palmbuild
===================================================================
--- palm/trunk/SCRIPTS/palmbuild	(revision 3235)
+++ palm/trunk/SCRIPTS/palmbuild	(revision 3236)
@@ -27,4 +27,11 @@
 # -----------------
 # $Id$
+# "host identifier" in header output renamed "config. identifier",
+# host_configuration renamed configuration_identifier,
+# jobname renamed run_identifier
+# header output of PALM code revision,
+# options -m, -s, and -S removed
+# 
+# 3210 2018-08-28 07:31:13Z sward
 # Bugfix: agent_preprocessing stays in MAKE_DEPOSITORY after compilation
 # 
@@ -77,5 +84,6 @@
  column1=""
  column2=""
- host_configuration=default
+ configuration_identifier=default
+ global_revision=""
  locat=normal
  makefile=""
@@ -95,5 +103,5 @@
     # ERROR HANDLING
     # IN CASE OF EXIT:
- trap 'rm -rf  ${source_path}/${host_configuration}_last_make_protocol
+ trap 'rm -rf  ${source_path}/${configuration_identifier}_last_make_protocol
        if [[ $locat != normal ]]
        then
@@ -112,5 +120,5 @@
     # IN CASE OF TERMINAL-BREAK:
  trap 'printf "\n\n +++ palmbuild killed by \"^C\" \n\n"
-       rm  ${source_path}/${host_configuration}_last_make_protocol
+       rm  ${source_path}/${configuration_identifier}_last_make_protocol
        exit
       ' 2
@@ -119,12 +127,9 @@
 
     # READ SHELLSCRIPT-OPTIONS
- while  getopts  :d:h:m:s:S:uvV  option
+ while  getopts  :d:h:uvV  option
  do
    case  $option  in
-       (d)   jobname=$OPTARG;;
-       (h)   host_configuration=$OPTARG;;
-       (m)   makefile=$OPTARG;;
-       (s)   suf=$OPTARG;;
-       (S)   source_list="$OPTARG";;
+       (d)   run_identifier=$OPTARG;;
+       (h)   configuration_identifier=$OPTARG;;
        (v)   silent=true;;
        (V)   use_existing_sources_folder=true;;
@@ -135,11 +140,12 @@
 
 
-    # FOR COMPATIBILITY REASONS SET OLD ENVIRONMENT VARIABLE
- export fname=$jobname
+    # FOR COMPATIBILITY REASONS SET OLD ENVIRONMENT VARIABLES
+ export fname=$run_identifier
+ export jobname=$run_identifier
 
 
     # BUILD THE CONFIGURATION-FILE NAME AND THE SOURCES_FOR_RUN-FOLDER NAME
- config_file=.palm.config.$host_configuration
- sources_for_run_catalog=SOURCES_FOR_RUN_${host_configuration}_$jobname
+ config_file=.palm.config.$configuration_identifier
+ sources_for_run_catalog=SOURCES_FOR_RUN_${configuration_identifier}_$run_identifier
 
 
@@ -249,5 +255,5 @@
 
     # CHECK MAKEFILE
- [[ "$makefile" = "" ]]  &&  makefile=$source_path/Makefile
+ makefile=$source_path/Makefile
  if [[ ! -f $makefile ]]
  then
@@ -312,11 +318,17 @@
 
     line=`grep %base_directory $config_file`
-    make_depository=`echo $line | cut -d" " -s -f2`/MAKE_DEPOSITORY_${host_configuration}
+    make_depository=`echo $line | cut -d" " -s -f2`/MAKE_DEPOSITORY_${configuration_identifier}
 
  else
 
-    make_depository=${base_directory}/MAKE_DEPOSITORY_${host_configuration}
-
- fi
+    make_depository=${base_directory}/MAKE_DEPOSITORY_${configuration_identifier}
+
+ fi
+
+
+    # GET THE GLOBAL REVISION-NUMBER OF THE SVN-REPOSITORY
+ global_revision=`svnversion $source_path  2>/dev/null`
+ global_revision="Rev: $global_revision"
+
 
     # HEADER-OUTPUT (PART1: MESSAGES CONCERNING THE LOCAL HOST)
@@ -327,4 +339,5 @@
     printf "#------------------------------------------------------------------------# \n"
     printf "| %-40s%30s | \n" "$version" "$calltime"
+    printf "| %-40s%30s | \n" "PALM code       $global_revision" " "
     printf "|                                                                        | \n"
     printf "| %-13s%-57s | \n" "called on:" "$(hostname) (IP:$local_ip)"
@@ -363,11 +376,11 @@
     if [[ "$remote_ip" != "" ]]
     then
-       column2="$host_configuration"
-       printf "| %-20s%-50s | \n" "host configuration:" "$column2"
+       column2="$configuration_identifier"
+       printf "| %-20s%-50s | \n" "config. identifier:" "$column2"
        column2=$(echo "$make_depository" | cut -c1-50 )
        printf "| %-20s%-50s | \n" "remote depository:" "$column2"
     else
-       column2="$host_configuration"
-       printf "| %-20s%-50s | \n" "host identifier:" "$column2"
+       column2="$configuration_identifier"
+       printf "| %-20s%-50s | \n" "config. identifier:" "$column2"
        column2=$(echo "$make_depository" | cut -c1-50 )
        printf "| %-20s%-50s | \n" "local depository:" "$column2"
@@ -496,5 +509,5 @@
 
        # NEXT IS THE BRANCH FOR CREATING THE MAKE_DEPOSITORY_...
-    if [[ "$jobname" = "" ]]
+    if [[ "$run_identifier" = "" ]]
     then
 
@@ -543,10 +556,10 @@
        fi
        make_call_string="make  -f Makefile_utilities  $make_options  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$linker_options\" "
-       echo "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${host_configuration}_last_make_protocol
-
-       if [[ $(grep -c MAKE_ERROR ${host_configuration}_last_make_protocol) != 0 ]]
+       echo "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${configuration_identifier}_last_make_protocol
+
+       if [[ $(grep -c MAKE_ERROR ${configuration_identifier}_last_make_protocol) != 0 ]]
        then
           printf "\a\n  +++ error(s) occurred during compiling or linking of utilities"
-          printf "\n      for host configuration \"$host_configuration\" "
+          printf "\n      for host configuration \"$configuration_identifier\" "
           if [[ $silent = false ]]
           then
@@ -559,5 +572,5 @@
                 if [[ "$answer" = l ]]
                 then
-                   more ${host_configuration}_last_make_protocol
+                   more ${configuration_identifier}_last_make_protocol
                 fi
              done
@@ -582,9 +595,9 @@
        fi
        make_call_string="make  $make_options  PROG=$program_name  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$linker_options\" "
-       echo "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${host_configuration}_last_make_protocol
-
-       if [[ $(grep -c MAKE_ERROR ${host_configuration}_last_make_protocol) != 0 ]]
-       then
-          printf "\a\n  +++ error(s) occurred during compiling or linking for host configuration \"$host_configuration\" "
+       echo "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${configuration_identifier}_last_make_protocol
+
+       if [[ $(grep -c MAKE_ERROR ${configuration_identifier}_last_make_protocol) != 0 ]]
+       then
+          printf "\a\n  +++ error(s) occurred during compiling or linking for host configuration \"$configuration_identifier\" "
           if [[ $silent = false ]]
           then
@@ -597,5 +610,5 @@
                 if [[ "$answer" = l ]]
                 then
-                   more ${host_configuration}_last_make_protocol
+                   more ${configuration_identifier}_last_make_protocol
                 fi
              done
@@ -621,13 +634,13 @@
        # INCLUDING E.G. USER-INTERFACE ROUTINES. ALSO ADD OTHER UTILITY EXECUTABLES. EVERYTHING IS
        # COLLECTED IN DIRECTORY SOURCES_FOR_RUN_...
-    elif [[ "$jobname" != "" ]]
+    elif [[ "$run_identifier" != "" ]]
     then
 
           # FIRST CHECK, IF COMPILED SOURCES FOR THIS RUN IDENTIFIER EXISTS
           # AND ASK, IF THEY SHALL BE USED
-       echo  "[[ -d ${fast_io_catalog}/${sources_for_run_catalog} ]]  &&  echo sources for run found" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1  >  ${host_configuration}_last_make_protocol
-       if [[ $(grep -c "sources for run found" ${host_configuration}_last_make_protocol) != 0  &&  $use_existing_sources_folder = true ]]
-       then
-          printf "\a\n  *** compiled sources for run \"$jobname\" found on remote host in folder"
+       echo  "[[ -d ${fast_io_catalog}/${sources_for_run_catalog} ]]  &&  echo sources for run found" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1  >  ${configuration_identifier}_last_make_protocol
+       if [[ $(grep -c "sources for run found" ${configuration_identifier}_last_make_protocol) != 0  &&  $use_existing_sources_folder = true ]]
+       then
+          printf "\a\n  *** compiled sources for run \"$run_identifier\" found on remote host in folder"
           printf "\n      ${fast_io_catalog}/${sources_for_run_catalog}"
           printf "\n      will be used!"
@@ -638,5 +651,5 @@
        if [[ $silent = false ]]
        then
-          printf "\n  *** copy MAKE_DEPOSITORY_${host_configuration} on remote host to $sources_for_run_catalog \n"
+          printf "\n  *** copy MAKE_DEPOSITORY_${configuration_identifier} on remote host to $sources_for_run_catalog \n"
        fi
        echo  "rm -rf ${fast_io_catalog}/${sources_for_run_catalog}; mkdir -p ${fast_io_catalog}/${sources_for_run_catalog}; cp ${make_depository}/${program_name}_current_version.tar  ${fast_io_catalog}/${sources_for_run_catalog}; cd ${fast_io_catalog}/${sources_for_run_catalog}; tar xf ${program_name}_current_version.tar"  |  ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  2>&1
@@ -663,9 +676,9 @@
              echo "  *** execute \"make\" on remote host"
           fi
-          echo "$login_init_cmd $module_commands cd ${fast_io_catalog}/${sources_for_run_catalog}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${host_configuration}_last_make_protocol
-
-          if [[ $(grep -c MAKE_ERROR ${host_configuration}_last_make_protocol) != 0 ]]
+          echo "$login_init_cmd $module_commands cd ${fast_io_catalog}/${sources_for_run_catalog}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${configuration_identifier}_last_make_protocol
+
+          if [[ $(grep -c MAKE_ERROR ${configuration_identifier}_last_make_protocol) != 0 ]]
           then
-             printf "\a\n  +++ error(s) occurred during compiling or linking for host configuration \"$host_configuration\" "
+             printf "\a\n  +++ error(s) occurred during compiling or linking for host configuration \"$configuration_identifier\" "
              if [[ $silent = false ]]
              then
@@ -678,5 +691,5 @@
                    if [[ "$answer" = l ]]
                    then
-                      more ${host_configuration}_last_make_protocol
+                      more ${configuration_identifier}_last_make_protocol
                    fi
                 done
@@ -701,5 +714,5 @@
     fi
 
-    rm -rf  ${source_path}/${host_configuration}_last_make_protocol
+    rm -rf  ${source_path}/${configuration_identifier}_last_make_protocol
 
 
@@ -710,5 +723,5 @@
        # NEXT IS THE BRANCH FOR CREATING THE MAKE_DEPOSITORY_... ON THE
        # LOCAL HOST
-    if [[ "$jobname" = "" ]]
+    if [[ "$run_identifier" = "" ]]
     then
 
@@ -774,9 +787,9 @@
        fi
 
-       make  $make_options  PROG=$program_name  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$linker_options"  2>&1 | tee ${host_configuration}_last_make_protocol
+       make  $make_options  PROG=$program_name  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$linker_options"  2>&1 | tee ${configuration_identifier}_last_make_protocol
 
        if [[ $? != 0 ]]
        then
-          printf "\a\n  +++ error(s) occurred during compiling or linking for host configuration \"$host_configuration\" "
+          printf "\a\n  +++ error(s) occurred during compiling or linking for host configuration \"$configuration_identifier\" "
           if [[ $silent = false ]]
           then
@@ -789,5 +802,5 @@
                 if [[ "$answer" = l ]]
                 then
-                   more ${host_configuration}_last_make_protocol
+                   more ${configuration_identifier}_last_make_protocol
                 fi
              done
@@ -820,5 +833,5 @@
        if [[ -d ${fast_io_catalog}/${sources_for_run_catalog}  &&  $use_existing_sources_folder = true ]]
        then
-          printf "\a\n  *** compiled sources for run \"$jobname\" found on local host in folder"
+          printf "\a\n  *** compiled sources for run \"$run_identifier\" found on local host in folder"
           printf "\n      ${fast_io_catalog}/${sources_for_run_catalog}"
           printf "\n      will be used!"
@@ -831,5 +844,5 @@
           printf "\n  +++ directory for local make depository:"
           printf "\n           $make_depository"
-          printf "\n      not found. Please run \"palmbuild -h $host_configuration\" "
+          printf "\n      not found. Please run \"palmbuild -h $configuration_identifier\" "
           locat=make_depository; exit
        fi
@@ -839,5 +852,5 @@
        if [[ $silent = false ]]
        then
-          printf "\n  *** copy MAKE_DEPOSITORY_${host_configuration} on local host to "
+          printf "\n  *** copy MAKE_DEPOSITORY_${configuration_identifier} on local host to "
           printf "\n      ${fast_io_catalog}/${sources_for_run_catalog} \n"
        fi
@@ -875,5 +888,5 @@
           then
 
-             printf "\a\n  +++ error(s) occurred during compiling or linking for host configuration \"$host_configuration\" "
+             printf "\a\n  +++ error(s) occurred during compiling or linking for host configuration \"$configuration_identifier\" "
              if [[ $silent = false ]]
              then
Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 3235)
+++ palm/trunk/SCRIPTS/palmrun	(revision 3236)
@@ -27,4 +27,13 @@
 # -----------------
 # $Id$
+# warning issued in case of file connection file version mismatch,
+# host_configuration renamed configuration_identifier,
+# "host identifier" in header output renamed "config. identifier",
+# jobname renamed run_identifier,
+# run_id renamed run_id_number
+# job_id renamed run_id
+# option -r renamed -i
+# 
+# 3151 2018-07-19 08:45:38Z raasch
 # removed additional listing of files to be compiled, print PALM code revision
 # in header
@@ -170,4 +179,5 @@
  compiler_name_ser=""
  compiler_options=""
+ configuration_identifier="default"
  cores=1
  cores_atmos=0
@@ -188,7 +198,5 @@
  execution_error=false
  fileconnection_file=trunk/SCRIPTS/.palm.iofiles
- jobname=test
  global_revision=""
- host_configuration="default"
  hostfile=""
  hp=""
@@ -221,4 +229,6 @@
  run_coupled_model=false
  run_id=""
+ run_id_number=""
+ run_identifier=test
  silent=false
  source_list=""
@@ -267,5 +277,5 @@
     # READ SHELLSCRIPT-OPTIONS AND REBUILD THE PALMRUN-COMMAND STRING (prc),
     # WHICH WILL BE USED TO START RESTART-JOBS
- while  getopts  :a:A:bBCd:FG:h:jkm:M:O:q:r:R:s:t:T:u:U:vVw:W:xX:yY:Z option
+ while  getopts  :a:A:bBCd:FG:h:i:jkm:M:O:q:R:s:t:T:u:U:vVw:W:xX:yY:Z option
  do
    case  $option  in
@@ -275,8 +285,9 @@
        (B)   delete_temporary_catalog=false; prc="$prc -B";;
        (C)   restart_run=true; prc="$prc -C";;
-       (d)   jobname=$OPTARG; prc="$prc -d$OPTARG";;
+       (d)   run_identifier=$OPTARG; prc="$prc -d$OPTARG";;
        (F)   create_jobfile_only=true;;
        (G)   global_revision=$OPTARG; prc="$prc -G'$OPTARG'";;
-       (h)   host_configuration=$OPTARG; prc="$prc -h$OPTARG";;
+       (h)   configuration_identifier=$OPTARG; prc="$prc -h$OPTARG";;
+       (i)   run_id_number=$OPTARG;;
        (j)   running_in_batch_mode=true;;
        (k)   keep_data_from_previous_run=true; prc="$prc -k";;
@@ -285,5 +296,4 @@
        (O)   use_openmp=true; threads_per_task=$OPTARG; prc="$prc -O$OPTARG";;
        (q)   queue=$OPTARG; prc="$prc -q$OPTARG";;
-       (r)   run_id=$OPTARG;;
        (R)   return_address=$OPTARG;;
        (s)   source_list=$OPTARG;;
@@ -367,11 +377,12 @@
 
 
-    # FOR COMPATIBILITY REASONS SET OLD ENVIRONMENT VARIABLE
- export fname=$jobname
+    # FOR COMPATIBILITY REASONS SET OLD ENVIRONMENT VARIABLES
+ export fname=$run_identifier
+ export jobname=$run_identifier
 
 
     # BUILD THE CONFIGURATION-FILE NAME AND THE SOURCES_FOR_RUN-FOLDER NAME
- config_file=.palm.config.$host_configuration
- sources_for_run_catalog=SOURCES_FOR_RUN_${host_configuration}_$jobname
+ config_file=.palm.config.$configuration_identifier
+ sources_for_run_catalog=SOURCES_FOR_RUN_${configuration_identifier}_$run_identifier
 
 
@@ -389,5 +400,19 @@
  if [[ -f .palm.iofiles ]]
  then
+
+       # CHECK VERSION MISMATCH
+    if [[ $running_in_batch_mode != true ]]
+    then
+       if [[ $(head -n1 $fileconnection_file) != $(head -n1 .palm.iofiles) ]]
+       then
+          printf "\n\n  +++ WARNING: A file connection file has been found in your"
+          printf "\n               working directory, but its revision does not match"
+          printf "\n               the revision of the default (trunk) version."
+          printf "\n               You may need to update your connection file!"
+       fi
+    fi
+
     fileconnection_file=.palm.iofiles
+
  fi
 
@@ -1124,5 +1149,5 @@
        eval filename=${pathin_pre[$i]}/${endin_pre[$i]}
     else
-       eval filename=${pathin_pre[$i]}/${jobname}${endin_pre[$i]}
+       eval filename=${pathin_pre[$i]}/${run_identifier}${endin_pre[$i]}
     fi
 
@@ -1156,6 +1181,7 @@
     else
 
-          # FIRST CHECK FOR MULTIPLE NAMES WITH THE SAME BASENAME ($jobname) AND
-          # CREATE A LIST FOR THE DETECTED BASENAME ENDINGS
+          # FIRST CHECK FOR MULTIPLE NAMES WITH THE SAME BASENAME
+          # ($run_identifier) AND CREATE A LIST FOR THE DETECTED BASENAME
+          # ENDINGS
        if [[ "${multin[$i]}" = true ]]
        then
@@ -1185,7 +1211,7 @@
               fi
 
-                 # remove the jobname from the beginning
-              length_jobname=${#jobname}
-              ending=${basefilename:${length_jobname}}
+                 # remove the run_identifier from the beginning
+              length_run_identifier=${#run_identifier}
+              ending=${basefilename:${length_run_identifier}}
 
                  # remove the ending given in the .iofiles from the beginning
@@ -1249,5 +1275,5 @@
              eval filename=${pathin[$nr_of_input_files]}/${endin[$nr_of_input_files]}
           else
-             eval filename=${pathin[$nr_of_input_files]}/${jobname}${endin[$nr_of_input_files]}
+             eval filename=${pathin[$nr_of_input_files]}/${run_identifier}${endin[$nr_of_input_files]}
           fi
 
@@ -1329,5 +1355,5 @@
                 frelin[$nr_of_input_files]=${endin[$nr_of_input_files]}.$cyclestring
              else
-                frelin[$nr_of_input_files]=${jobname}${endin[$nr_of_input_files]}.$cyclestring
+                frelin[$nr_of_input_files]=${run_identifier}${endin[$nr_of_input_files]}.$cyclestring
              fi
           else
@@ -1336,5 +1362,5 @@
                 frelin[$nr_of_input_files]=${endin[$nr_of_input_files]}
              else
-                frelin[$nr_of_input_files]=${jobname}${endin[$nr_of_input_files]}
+                frelin[$nr_of_input_files]=${run_identifier}${endin[$nr_of_input_files]}
              fi
           fi
@@ -1370,5 +1396,5 @@
        fi
        (( maxcycle = 0 ))
-       eval filename=${pathout_pre[$i]}/${jobname}${endout_pre[$i]}
+       eval filename=${pathout_pre[$i]}/${run_identifier}${endout_pre[$i]}
        eval catalogname=${pathout_pre[$i]}
        if ! ls $filename* 1>/dev/null 2>&1
@@ -1416,8 +1442,8 @@
  if [[ $running_in_batch_mode = false ]]
  then
-    run_id=$RANDOM
-    job_id=${jobname}.$run_id
-
-    tempdir=$fast_io_catalog/$job_id
+    run_id_number=$RANDOM
+    run_id=${run_identifier}.$run_id_number
+
+    tempdir=$fast_io_catalog/$run_id
  fi
 
@@ -1511,11 +1537,11 @@
  if [[ $create_remote_batch_job = true ]]
  then
-    column1="execution on:"; column2="$host_configuration (username: $remote_username)"
+    column1="execution on:"; column2="$configuration_identifier (username: $remote_username)"
  else
     if [[ $running_on_remote = true ]]
     then
-       column1="host identifier:"; column2="$host_configuration (execute on IP: $remote_ip)"
+       column1="config. identifier:"; column2="$configuration_identifier (execute on IP: $remote_ip)"
     else
-       column1="host identifier:"; column2="$host_configuration (execute on IP: $local_ip)"
+       column1="config. identifier:"; column2="$configuration_identifier (execute on IP: $local_ip)"
     fi
  fi
@@ -1662,5 +1688,5 @@
  fi
  printf "|                                                                        | \n"
- column1="run identifier:"; column2=$jobname
+ column1="run identifier:"; column2=$run_identifier
  printf "| %-25s%-45s | \n" "$column1" "$column2"
  column1="activation string list:"; column2=$(echo $activation_string_list)
@@ -1780,8 +1806,8 @@
 
        line=`grep %base_directory $config_file`
-       make_depository=`echo $line | cut -d" " -s -f2`/MAKE_DEPOSITORY_${host_configuration}
-       echo  "[[ ! -d ${make_depository} ]]  &&  echo depository not found" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1  | tee ${host_configuration}_last_make_protokoll
-
-       if [[ $(grep -c "depository not found" ${host_configuration}_last_make_protokoll) != 0 ]]
+       make_depository=`echo $line | cut -d" " -s -f2`/MAKE_DEPOSITORY_${configuration_identifier}
+       echo  "[[ ! -d ${make_depository} ]]  &&  echo depository not found" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1  | tee ${configuration_identifier}_last_make_protokoll
+
+       if [[ $(grep -c "depository not found" ${configuration_identifier}_last_make_protokoll) != 0 ]]
        then
           printf "\n\n  +++ make depository \"${make_depository}\""
@@ -1789,10 +1815,10 @@
           ask_for_make_depository=true
        fi
-       rm ${host_configuration}_last_make_protokoll
+       rm ${configuration_identifier}_last_make_protokoll
 
     else
 
           # CHECK FOR MAKE_DEPOSITORY ON THE LOCAL HOST
-       make_depository=${base_directory}/MAKE_DEPOSITORY_${host_configuration}
+       make_depository=${base_directory}/MAKE_DEPOSITORY_${configuration_identifier}
        if [[ ! -d ${make_depository} ]]
        then
@@ -1826,7 +1852,7 @@
        if [[ $do_trace = true ]]
        then
-          palmbuild  -h $host_configuration
+          palmbuild  -h $configuration_identifier
        else
-          palmbuild  -v  -h $host_configuration
+          palmbuild  -v  -h $configuration_identifier
        fi
 
@@ -1845,5 +1871,5 @@
 
        # NOW CREATE THE SOURCES_FOR_RUN FOLDER
-    palmbuild  -v  $use_existing_sources_folder  -h $host_configuration  -d $jobname
+    palmbuild  -v  $use_existing_sources_folder  -h $configuration_identifier  -d $run_identifier
 
     if [[ $? != 0 ]]
@@ -2110,5 +2136,5 @@
        # (FILE ENVPAR WILL BE READ BY PALM)
     cat  >  ENVPAR  <<  EOF
- &envpar  run_identifier = '$jobname', host = '$host_configuration',
+ &envpar  run_identifier = '$run_identifier', host = '$configuration_identifier',
           write_svf = .${write_svf}., write_binary = .${write_binary}., 
           read_svf = .${read_svf}., tasks_per_node = $tasks_per_node,
@@ -2361,5 +2387,5 @@
        then
 
-          eval filename=${pathout[$i]}/${jobname}${endout[$i]}
+          eval filename=${pathout[$i]}/${run_identifier}${endout[$i]}
 
              # DETERMINE THE CYCLE NUMBER
@@ -2503,12 +2529,12 @@
                 transfer_failed=false
                 printf "\n  >>> OUTPUT: ${localout[$i]}$catalog_string  $append_string by SCP to"
-                printf "\n              ${pathout[$i]}/${host_configuration}_${jobname}${endout[$i]}$catalog_string\n"
+                printf "\n              ${pathout[$i]}/${configuration_identifier}_${run_identifier}${endout[$i]}$catalog_string\n"
 
                    # TRANSFER VIA SCP
                 if [[ "$remote_loginnode" != "" ]]
                 then
-                   echo "cd $tempdir; ${fast_io_catalog}/${sources_for_run_catalog}/batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} \"${pathout[$i]}\" ${host_configuration}_${jobname}${endout[$i]}  ${extout[$i]}"  |  ssh -q $remote_username@$remote_loginnode
+                   echo "cd $tempdir; ${fast_io_catalog}/${sources_for_run_catalog}/batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} \"${pathout[$i]}\" ${configuration_identifier}_${run_identifier}${endout[$i]}  ${extout[$i]}"  |  ssh -q $remote_username@$remote_loginnode
                 else
-                   batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} "${pathout[$i]}" ${host_configuration}_${jobname}${endout[$i]}  ${extout[$i]}
+                   batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} "${pathout[$i]}" ${configuration_identifier}_${run_identifier}${endout[$i]}  ${extout[$i]}
                 fi
                 [[ $? != 0 ]]  &&  transfer_failed=true
@@ -2519,5 +2545,5 @@
                 then
                    printf "  +++ transfer failed. Trying to save a copy on this host under:\n"
-                   printf "      ${pathout[$i]}/${host_configuration}_${jobname}${endout[$i]}_$run_id\n"
+                   printf "      ${pathout[$i]}/${configuration_identifier}_${run_identifier}${endout[$i]}_$run_id_number\n"
 
                       # FIRST CHECK, IF DIRECTORY EXISTS, AND CREATE IT, IF NECESSARY
@@ -2529,5 +2555,5 @@
                       mkdir -p  $local_catalog
                    fi
-                   eval  cp  ${localout[$i]}  ${pathout[$i]}/${host_configuration}_${jobname}${endout[$i]}_$run_id
+                   eval  cp  ${localout[$i]}  ${pathout[$i]}/${configuration_identifier}_${run_identifier}${endout[$i]}_$run_id_number
                    transfer_problems=true
                 fi
@@ -2755,5 +2781,5 @@
 
        # BUILD THE PALMRUN-COMMAND TO BE CALLED IN THE BATCH-JOB
-    palmrun_com="$palmrun_script_name -d $jobname -h $host_configuration -m $memory -t $cpumax -q $queue -r $run_id -U $local_username"
+    palmrun_com="$palmrun_script_name -d $run_identifier -h $configuration_identifier -m $memory -t $cpumax -q $queue -i $run_id_number -U $local_username"
     [[ "$activation_string_list" != "" ]]  &&  palmrun_com=${palmrun_com}" -a \"$activation_string_list\""
     [[ "$global_revision" != "" ]]  &&  palmrun_com=${palmrun_com}" -G \"$global_revision\""
@@ -2788,17 +2814,17 @@
        # DETERMINE THE FULL PATHS FOR THE JOB PROTOCOL FILES ON THE LOCAL AND
        # REMOTE HOST
-    job_protocol_file_local=${local_jobcatalog}/${host_configuration}_${job_id}
+    job_protocol_file_local=${local_jobcatalog}/${configuration_identifier}_${run_id}
     job_protocol_file=$job_protocol_file_local
     if [[ $create_remote_batch_job = true ]]
     then
-       job_protocol_file_remote=${remote_jobcatalog}/${host_configuration}_${job_id}
+       job_protocol_file_remote=${remote_jobcatalog}/${configuration_identifier}_${run_id}
        job_protocol_file=$job_protocol_file_remote
        job_transfer_protocol_file=${remote_jobcatalog}/last_job_transfer_protocol
-       scpjob_file=${remote_jobcatalog}/scpjob.$run_id
+       scpjob_file=${remote_jobcatalog}/scpjob.$run_id_number
     fi
 
 
        # BUILD THE JOB-SCRIPTS ON FILE jobfile
-    jobfile=jobfile.$run_id
+    jobfile=jobfile.$run_id_number
 
 
@@ -2819,9 +2845,9 @@
     if [[ $create_remote_batch_job = true ]]
     then
-       echo "set +vx"                              >>  $jobfile
-       echo "trap '"                               >>  $jobfile
-       echo "set +vx"                              >>  $jobfile
-       echo "cd ${remote_jobcatalog}"              >>  $jobfile
-       echo "cat >  scpjob.$run_id << %%END%%"     >>  $jobfile
+       echo "set +vx"                                   >>  $jobfile
+       echo "trap '"                                    >>  $jobfile
+       echo "set +vx"                                   >>  $jobfile
+       echo "cd ${remote_jobcatalog}"                   >>  $jobfile
+       echo "cat >  scpjob.$run_id_number << %%END%%"   >>  $jobfile
 
           # ADD THE BATCH DIRECTIVES
@@ -2837,5 +2863,5 @@
 
        echo "set -x"                               >>  $jobfile
-       echo "${fast_io_catalog}/${sources_for_run_catalog}/batch_scp  $PORTOPT  -d  -w 10  -u $local_username $local_ip  $job_protocol_file_remote  \"$local_jobcatalog\"  ${host_configuration}_${jobname}"  >>  $jobfile
+       echo "${fast_io_catalog}/${sources_for_run_catalog}/batch_scp  $PORTOPT  -d  -w 10  -u $local_username $local_ip  $job_protocol_file_remote  \"$local_jobcatalog\"  ${configuration_identifier}_${run_identifier}"  >>  $jobfile
        echo "%%END%%"                              >>  $jobfile
        echo "echo \" *** submitting job for transfering the job protocol file to $local_ip\" "  >>  $jobfile
@@ -2916,14 +2942,14 @@
           if [[ $do_trace = true ]]
           then
-             echo "     scp $ssh_key $PORTOPT $jobfile ${remote_username}@${remote_ip}:${remote_jobcatalog}/${host_configuration}_${job_id}"
-          fi
-          scp $ssh_key $PORTOPT $jobfile ${remote_username}@${remote_ip}:${remote_jobcatalog}/${host_configuration}_${job_id}  >  /dev/null
+             echo "     scp $ssh_key $PORTOPT $jobfile ${remote_username}@${remote_ip}:${remote_jobcatalog}/${configuration_identifier}_${run_id}"
+          fi
+          scp $ssh_key $PORTOPT $jobfile ${remote_username}@${remote_ip}:${remote_jobcatalog}/${configuration_identifier}_${run_id}  >  /dev/null
 
           printf " *** submit the job (output of submit command, e.g. the job-id, may follow)"
           if [[ $do_trace = true ]]
           then
-             echo "     cd $remote_jobcatalog; $submit_command ${host_configuration}_${job_id}; rm ${host_configuration}_${job_id}  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1"
-          fi
-          echo "cd $remote_jobcatalog; $submit_command ${host_configuration}_${job_id}; rm ${host_configuration}_${job_id}"  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1
+             echo "     cd $remote_jobcatalog; $submit_command ${configuration_identifier}_${run_id}; rm ${configuration_identifier}_${run_id}  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1"
+          fi
+          echo "cd $remote_jobcatalog; $submit_command ${configuration_identifier}_${run_id}; rm ${configuration_identifier}_${run_id}"  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1
 
        elif [[ $create_batch_job = true ]]
@@ -2931,5 +2957,5 @@
 
           eval  local_jobcatalog=$local_jobcatalog
-          cp  $jobfile  ${local_jobcatalog}/${host_configuration}_${job_id}
+          cp  $jobfile  ${local_jobcatalog}/${configuration_identifier}_${run_id}
           cd $local_jobcatalog
           echo " "
@@ -2937,8 +2963,8 @@
           if [[ $do_trace = true ]]
           then
-             echo "$submit_command ${host_configuration}_${job_id}"
-          fi
-          $submit_command ${host_configuration}_${job_id}
-          rm ${host_configuration}_${job_id}
+             echo "$submit_command ${configuration_identifier}_${run_id}"
+          fi
+          $submit_command ${configuration_identifier}_${run_id}
+          rm ${configuration_identifier}_${run_id}
           cd -  > /dev/null
 
